# Passenger::BufferedUpload Class Reference
[Apache-independent support classes and function]

Represents a buffered upload file. More...

`#include <Utils.h>`

List of all members.

## Public Member Functions

| BufferedUpload (const char *identifier="temp")
| Create an empty upload bufer file, and open it for reading and writing.

## Static Public Member Functions

static string | getDir ()
| Returns the directory in which upload buffer files are stored.

## Public Attributes

FILE * | handle
| The file handle.

## Detailed Description

Represents a buffered upload file.

## Constructor & Destructor Documentation

Passenger::BufferedUpload::BufferedUpload | ( | const char * | identifier = `"temp"` | ) | `[inline]`

Create an empty upload bufer file, and open it for reading and writing.

Exceptions:

  | SystemException | Something went wrong.

## Member Function Documentation

static string Passenger::BufferedUpload::getDir | ( |  | ) | `[inline, static]`

Returns the directory in which upload buffer files are stored.

This is a subdirectory of the directory returned by getPassengerTempDir().

## Member Data Documentation

FILE* Passenger::BufferedUpload::handle

The file handle.

The documentation for this class was generated from the following file:

- Utils.h